Table of Contents

## Name

im_flood, im_flood_blob - flood a area

## Synopsis

#include <vips/vips.h> #include <vips/rect.h>

int im_flood( im, x, y, ink, dout )
IMAGE *im;
int x, y;
PEL *ink;
Rect *dout;

int im_flood_blob( im, x, y, ink, dout )
IMAGE *im;
int x, y;
PEL *ink;
Rect *dout;

## Description

im_flood() fills an enclosed area from a starting point, painting ink into 4-way connected pels whose colour is not equal to ink.

im_flood_blob() floods with the ink colour, finding pels 4-way connected to the start pel which are the same colour as the start pel. It is useful for changing the colour of a blob of pels which all have the same value.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

im_insertplace(3) , im_smudge(3) .

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also